Bug 585386 (CVE-2010-1439)

Summary: CVE-2010-1439 rhn-client-tools: authorized information disclosure
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact: Petr Sklenar <psklenar>
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: mjc, mmraka, msuchy, mzazrivec, psklenar, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: public=20100601,reported=20100422,source=redhat,rhel-5/rhn-client-tools=affected/impact=moderate/cvss2=4.6/AV:L/AC:L/Au:N/C:P/I:P/A:P,rhel-6/rhn-client-tools=affected/impact=moderate/cvss2=4.6/AV:L/AC:L/Au:N/C:P/I:P/A:P,fedora-all/rhn-client-tools=affected/impact=moderate/cvss2=4.6/AV:L/AC:L/Au:N/C:P/I:P/A:P
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-15 18:22:59 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 586737, 586738, 586739, 598642    
Bug Blocks:    

Description Vincent Danen 2010-04-23 16:37:53 EDT
It was found that the yum-rhn-plugin caches sensitive authentication information in the world-readable /var/spool/up2date/loginAuth.pkl file.  This information could be used to download packages from Red Hat Network (Hosted or Satellite) or otherwise manipulate the package list associated with the system's profile, which could possibly prevent new errata from being installed.
Comment 12 errata-xmlrpc 2010-06-01 14:54:43 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0449 https://rhn.redhat.com/errata/RHSA-2010-0449.html
Comment 13 Vincent Danen 2010-06-01 14:55:28 EDT
Created rhn-client-tools tracking bugs for this issue

Affects: fedora-all [bug 598642]
Comment 14 Vincent Danen 2011-06-15 18:22:59 EDT
This was corrected in Fedora 14:

* Thu Apr 29 2010 Miroslav Suchý <msuchy@redhat.com> 1.1.2-1
- 585386 - do not fail if file do not exist